import { actionTypes as asyncDataFetchActionTypes } from '@bufferapp/async-data-fetch';

export const actionTypes = {};

const initialState = {
  metrics: [],
  loading: true,
  hasError: false,
};

export default (state = initialState, action) => {
  switch (action.type) {
    case `posts_summary_${asyncDataFetchActionTypes.FETCH_START}`:
      return initialState;
    case `posts_summary_${asyncDataFetchActionTypes.FETCH_SUCCESS}`:
      return {
        ...state,
        loading: false,
        metrics: action.result,
      };
    case `posts_summary_${asyncDataFetchActionTypes.FETCH_FAIL}`:
      return {
        ...initialState,
        loading: false,
        hasError: true,
      };
    default:
      return state;
  }
};

export const actions = {};
